Doomsday Engine - Bug #1094

[Win32] RSP not passed to Doomsday with non-ASCIl username
2012-10-16 09:34 - skyjake

Status: Closed Start date: 2012-10-16
Priority: Normal % Done: 50%
Assignee: skyjake

Category: Defect

Target version:

Description

It seems that on Windows, a username with non-ASCII characters is causing some trouble when passing the RSP path to
Doomsday. This could be an issue with the launcher or with Doomsday's command line parsing (which is nowadays handled by Qt).

See: http://dengine.net/forums/viewtopic.php?f=7&t=1226

Related issues:

Related to Bug #1095: Non-ASClII characters broken on cmdline and/or resource ... Closed 2012-10-16
Related to Bug #1973: App init failed: CreateDirError (1.14.5) Closed 2015-02-12
History

#1 - 2012-12-09 20:41 - skyjake

- Description has changed:
Diff:

---old

+++ new

@-13+15@

It seems that on Windows, a username with non-ANSI characters is causing some trouble when passing the RSP path to Doomsday. This could be
an issue with the launcher or with Doomsday's command line parsing (which is nowadays handled by Qt).

See: http://dengine.net/forums/viewtopic.php?f=7&t=1226
+
+Related: Could be due to [#1088].

#2 - 2012-12-09 20:41 - skyjake

- summary: [Win32] RSP not passed to Doomsday with non-ANSI username --> [Win32] RSP not passed to Doomsday with non-ASCIl username
- Description has changed:

Diff:

---old

+++ New

@-14+1,4@

-It seems that on Windows, a username with non-ANSI characters is causing some trouble when passing the RSP path to Doomsday. This could be
an issue with the launcher or with Doomsday's command line parsing (which is nowadays handled by Qt).

+It seems that on Windows, a username with non-ASCII characters is causing some trouble when passing the RSP path to Doomsday. This could be
an issue with the launcher or with Doomsday's command line parsing (which is nowadays handled by Qt).

See: http://dengine.net/forums/viewtopic.php?f=7&t=1226

#3 - 2013-10-18 13:46 - skyjake
- Tags set to CommandLine, Windows, Unicode

- Description updated

#4 - 2013-10-18 13:46 - skyjake
http://dengine.net/forums/viewtopic.php?f=7&t=1226

- Description updated

#5 - 2013-10-22 17:45 - skyjake
- Target version deleted (1.9.9)

#6 - 2014-06-02 08:49 - skyjake
- Category set to Defect
- Status changed from New to In Progress

- % Done changed from 0 to 50

#7 - 2014-06-02 08:49 - skyjake
Could be resolved by 040906a.

#8 - 2015-02-12 08:59 - skyjake
- Related to Bug #1973: App init failed: CreateDirError (1.14.5) added

#9 - 2015-11-10 11:16 - skyjake

- Status changed from In Progress to Closed

Closing because Snowberry is going away in 2.0.
